Loading...
Searching...
No Matches
TranslationRecovery.cpp File Reference

Source code for recovering translations when rotations are given. More...

## Functions

DSFMap< Key > | getSameTranslationDSFMap (const std::vector< BinaryMeasurement< Unit3 > > &relativeTranslations)
template<typename T>
std::vector< BinaryMeasurement< T > > | removeSameTranslationNodes (const std::vector< BinaryMeasurement< T > > &edges, const DSFMap< Key > &sameTranslationDSFMap)
Values | addSameTranslationNodes (const Values &result, const DSFMap< Key > &sameTranslationDSFMap)

## Detailed Description

Source code for recovering translations when rotations are given.

Author
  Frank Dellaert, Akshay Krishnan

Date
  March 2020